﻿var currentNode = document.getElementById('treeSelectedNode'); //DOM object of currently selected node
var selectedCategoryId = -1; //id of selected category.
var selectedTemplateId = -1; //id of selected template.
var selectedReusable = 1; //id of selected template.
var selectedTemplateName = ''; //name of selected template.

//enables new item links and set category id of selected category
function SetLinksForCategory(id)
{
    selectedCategoryId = id;
    selectedTemplateId = -1;
    selectedReusable = 1;
    selectedTemplateName = '';
    document.getElementById('lnkNewCategory').style.color = 'black';//enabled
    document.getElementById('lnkNewTemplate').style.color = 'black';//enabled
    document.getElementById('lnkDeleteItem').style.color = 'black';	//enabled	        
    document.getElementById('lnkExportObject').style.color = '#AAAAAA';//disabled	        
}

//disables new item links and set template id of selected template
function SetLinksForTemplate(id, name, isReusable)
{
    selectedCategoryId = -1;
    selectedTemplateId = id;
    selectedReusable = isReusable;
    selectedTemplateName = name;
    document.getElementById('lnkNewCategory').style.color = '#AAAAAA';//disabled
    document.getElementById('lnkNewTemplate').style.color = '#AAAAAA';//disabled
    document.getElementById('lnkDeleteItem').style.color = 'black';//enabled
    if (isReusable) {
        document.getElementById('lnkExportObject').style.color = 'black'; //enabled
    }
    else {
        document.getElementById('lnkExportObject').style.color = '#AAAAAA'; //enabled
    }
}

//make node given by DOM object and DB id selected.
function SelectNode(type, id, name, isReusable, nodeElem)
{
    if ( (currentNode != null) && (nodeElem != null) )
    {
        currentNode.className = 'ContentTreeItem';
    }

    if ( type == 'category' )
    {
        if (id != null)
        {
            mainurl = 'PageTemplate_Category.aspx?categoryid=' + id;
            SetLinksForCategory(id)
        }
            
    }
    else if ( type == 'template' )
    {
        if (id != null)
        {
            mainurl = 'PageTemplate_Edit.aspx?templateid=' + id;
            SetLinksForTemplate(id, name, isReusable);
        }
    }
    else if ( type == 'root')
    {
        if (id != null)
        {  
            mainurl = '../../blank.htm';
            selectedCategoryId = 0;
            selectedTemplateId = -1;
            selectedReusable = 1;
            selectedTemplateName = '';
            document.getElementById('lnkNewCategory').style.color = 'black';//enabled
            document.getElementById('lnkNewTemplate').style.color = '#AAAAAA';//disabled
            document.getElementById('lnkDeleteItem').style.color = '#AAAAAA';//disabled
            document.getElementById('lnkExportObject').style.color = '#AAAAAA';//disabled
        }
    }
    
    
    //load edit page into pt_edit frame
    if ( mainurl != null )
    {
        parent.frames['pt_edit'].location.href = mainurl;
    }

    //mark node element as selected
    if ( nodeElem != null )
    {
        currentNode = nodeElem;
        currentNode.className = 'ContentTreeSelectedItem';
    }
}

//load (new) category edit page into pt_edit frame
function ShowNewCategoryPage()
{
    if (selectedCategoryId > -1)
        parent.frames['pt_edit'].location.href = 'PageTemplate_Category.aspx?parentcategoryid=' + selectedCategoryId;
}

//load (new) category edit page into pt_edit frame
function ShowNewTemplatePage()
{
    if (selectedCategoryId > 0)
        parent.frames['pt_edit'].location.href = 'PageTemplate_New.aspx?parentcategoryid=' + selectedCategoryId;
}

//deletes selected item
function DeleteItem()
{
    if (selectedCategoryId > 0)
    {
        ProcessRequest('delete', selectedCategoryId);
    }
    
    if (selectedTemplateId > 0)
    {
        ProcessRequest('delete', '', selectedTemplateId);
    }
}

//make category given by DB id selected
function SelectCategory(id)
{
    SetLinksForCategory(id);
    parent.frames['pt_edit'].location.href = 'PageTemplate_Category.aspx?categoryid=' + id;
}

function ConfirmDelete()
{
	if (confirm(document.getElementById('confirmationText').value) == true)
		return true;
	else
    	return false;
}

function ExportObject() {
    if ((selectedTemplateId > 0) && selectedReusable)
    {
        OpenExportObject('cms.pagetemplate', selectedTemplateId);
    }
}	